diff --git a/kx.c b/kx.c
index 887a2a26..2843bcac 100644
--- a/kx.c
+++ b/kx.c
@@ -682,7 +682,7 @@ Z K ex2(V*v, K k)  //execute words --- all returns must be Ks. v: word list, k:
     U(a=*w);
     if(7==a->t && 0==a->n && (b=kV(a)[CONJ]) && 7==b->t && 0==b->n ) 
     {
-      U(b=ex_(kV(a)+CONJ,2))
+      U(b=ex_(kV(a)+CONJ,kVC(b)->n==3?1:2))
       w=*kW(a); //K temp=a;  //a=ci(*kW(a)); w=*kW(a); cd(temp);
     }
     if(!b)U(b=newK(0,0))
diff --git a/tests.c b/tests.c
index 4a9462df..426e50e1 100644
--- a/tests.c
+++ b/tests.c
@@ -853,6 +853,8 @@ Z I testsBook()
   TC((101 2 103 4;101 103 ) ,a:1+!4;r: a[0 2] +: 100; (a;r) ) 
   TC( (.,(`a;(`b;"c"))) , d:.,(`a;1 2 3); d[`a]: (`b;"c"); d)
   TC_(".((`a;1;)\n  (`b;1;)\n  (`c;1;))","a[`a`b`c]:1;a")
+  TC(10 20 30, a:3 3#!9; a[;1]:10 20 30)
+  TC(10 20 30, a:3 3#!9; a[1;]:10 20 30)
 
   //System Functions
   TC(2#1.0, _abs - _cos 0 0)
